## caffe 1.0.0~rc3+20161127-g24d2f67

=== debian/changelog ===
caffe (1.0.0~rc3+20161127-g24d2f67-4) unstable; urgency=medium

  * Avoid autopkgtest failure by fixing stderr redirection.

 -- Zhou Mo <cdluminate@gmail.com>  Fri, 09 Dec 2016 02:06:23 +0000

caffe (1.0.0~rc3+20161127-g24d2f67-3) unstable; urgency=medium

  * Refresh symbols control file from buildd's log.
  * Temporarily remove unused symbols file for kfreebsd-{amd64,i386}.
  * Mark caffe-doc as "Multi-Arch: foreign".
  * Redirect all autopkgtest scripts' stderr to stdout in order to
    make CI happy. Test scripts are considered failed as long as they
    produced output to stderr.

 -- Zhou Mo <cdluminate@gmail.com>  Sat, 03 Dec 2016 04:10:30 +0000

caffe (1.0.0~rc3+20161127-g24d2f67-2) unstable; urgency=medium

  * Install docker directory to caffe-doc package.
  * Refresh symbols control files for amd64 and i386.
  * Upload to unstable.

 -- Zhou Mo <cdluminate@gmail.com>  Tue, 29 Nov 2016 01:24:19 +0000

caffe (1.0.0~rc3+20161127-g24d2f67-1) experimental; urgency=medium

  * Import upstream snapshot.
  * Add patch: fix-more-float-comparison-precision-issue2 to fix more float
    point number comparison issue.
  * Refresh symbols control files.

 -- Zhou Mo <cdluminate@gmail.com>  Mon, 28 Nov 2016 11:07:46 +0000

caffe (1.0.0~rc3+20160930-ga7f950b-3) experimental; urgency=medium

  * Refresh symbols control file for i386 and ppc64el.
  * Move OpenBLAS and Atlas to Dependency of caffe-cpu, both prior to
    Generic BLAS (libblas3). That means users are forced to use one of
    optimized BLAS packages as long as available.
  * Update README.Debian .

 -- Zhou Mo <cdluminate@gmail.com>  Mon, 28 Nov 2016 02:08:10 +0000

caffe (1.0.0~rc3+20160930-ga7f950b-2) experimental; urgency=medium

  * Update autopkgtest scripts.
  * Refresh symbols control file for the following architectures:
    + amd64 (default), i386, ppc64el, kfreebsd-{amd64,i386}.
  * Add python3-protobuf to B-D, which is available since protobuf_3.0.0-8 .
  * Add description for several patches.

 -- Zhou Mo <cdluminate@gmail.com>  Sat, 26 Nov 2016 04:24:25 +0000

caffe (1.0.0~rc3+20160930-ga7f950b-1) experimental; urgency=medium

  * Import upstream snapshot (a7f950baafd7657732a40286e6db89f2c3baef63).
  * Fix changelog of the previous revision:
    - Fix typo: comtrol -> control .
    - Explain why git and libboost-dev are added as B-D.
  * Add patch fix-more-float-comparison-precision-issue, which fixes
    the float comparison precision problem in some of the unit tests.
  * Update manpage with new command line options added.
  * Update bash completion script according to command line option changes.
  * Refresh symbols control file.
  * Update description for caffe-doc.
  * Override a false-positive lintian warning.
  * Override dh_install with --list-missing.

 -- Zhou Mo <cdluminate@gmail.com>  Sun, 02 Oct 2016 12:31:15 +0000

caffe (1.0.0~rc3+20160715-g42cd785-1) experimental; urgency=medium

  * Import upstream snapshot (42cd785e4b5ed824a9b2a02a19aa534042b64325).
  * Suggest OpenBLAS/Atlas library for metapackage caffe-cpu.
  * Update manpage d/man/caffe.1 .
  * Comment out "-pedantic" from rules to reduce the size of build log.
  * Drop cherry-picked patches, already included in this new snapshot:
    - dont-set-map-size-1TB-in-db-lmdb
    - print-to-stderr-for-example-LMDB-code
    - update-MNIST-example-to-use-new-DB-classes
  * Remove patch fix-spelling-error, which was merged by upstream.
  * Refresh patch cmake-fix-python-module-installdir.
  * Refresh symbols control file.
  * Override dh_fixperms to remove executable bit from several python scripts.
  * Add git and libboost-dev to B-D, to make cmake happy.
  * Add patch: cmake-avoid-argument-missing .

 -- Zhou Mo <cdluminate@gmail.com>  Mon, 01 Aug 2016 04:37:02 +0000

caffe (1.0.0~rc3-4) experimental; urgency=medium

  * Cherry-pick upstream fixes for map size issue.
    - dont-set-map-size-1TB-in-db-lmdb
    - print-to-stderr-for-example-LMDB-code
    - update-MNIST-example-to-use-new-DB-classes
  * Update symbols control file, diverge symbols control file for ppc64el.
  * Synchronize packaging with src:caffe-contrib (= 1.0.0~rc3-2).

 -- Zhou Mo <cdluminate@gmail.com>  Sun, 10 Jul 2016 12:10:07 +0000

caffe (1.0.0~rc3-3) experimental; urgency=medium

  * Remove octave related packages and corresponding builds, because
    upstream support for octave is limited.
  * Fix typo in package descriptions, update descriptions.
  * Update rules.
  * Add symbols control file for libcaffe.so .
  * Update README.Debian .

 -- Zhou Mo <cdluminate@gmail.com>  Mon, 04 Jul 2016 14:47:20 +0000

caffe (1.0.0~rc3-2) experimental; urgency=low

  * d/control
    - Rename binary package caffe-cpu to caffe-tools-cpu.
    - Create metapackage "caffe-cpu".
    - Update package descriptions.
    - Add B-D: liboctave-dev, octave-pkg-dev.
    - Bump python-caffe-cpu to python3-caffe-cpu.
    - Suggest caffe-doc for libcaffe-cpu-dev.
  * d/rules
    - Compile octave binary, however octave package is
      temporarily commented out bacause it's WIP.
    - Include defs.make from package 'octave-pkg-dev' for Octave
      related variables.
    - Bump from python2 build to python3 build.
    - change the compiling target order of override_dh_auto_build-arch.
  * d/man
    - Refresh manpage debian/man/caffe.1 , generated by txt2man with
      template file debian/man/caffe.txt
    - Remove unnecessary man pages.
  * d/patch
    - Update patches due to python2->python3 transition.
    - Update forward status in patch headers.
    - Add new patch cmake-octave-fix-library, which fixes python3
      library name for mkoctfile.
  * d/tests
    - Add python3 interface B-D runtime-dependencies for testsuite.
    - Add test suite: python3caffetestsuite .
    - Update testsuite: simple .
  * Add install control files for octave-caffe-cpu.
  * Update debian/clean.
  * Update bash completion script for caffe.
  * Remove d/TODO.
  * Upload to experimental. The -1 version is an accident.


