=== debian/control ===
Source: caffe
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Zhou Mo <cdluminate@gmail.com>
Build-Depends-Indep: doxygen,
                     doxygen-latex
Build-Depends: bc,
               cmake,
               bash-completion,
               debhelper (>=9),
               dh-python,
               git,
# libboost-all-dev (>= 1.55) - we merely pull partial boost stack, the really needed part.
               libboost-dev,
               libboost-filesystem-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libboost-python-dev,
               libgflags-dev,
               libgoogle-glog-dev,
               libhdf5-dev,
               libleveldb-dev,
               liblmdb-dev,
# switch libblas.so.3 between Atlas and OpenBLAS with update-alternatives
               libblas-dev | libblas.so,
               libopencv-dev (>= 2.4),
               libprotobuf-dev,
               libprotoc-dev,
               libsnappy-dev,
               protobuf-compiler,
# python3 depssome of them are not B-D but we need them as runtime-deps to pass the testsuite
               python3-dev,
               python3-numpy,
               cython3,
               ipython3,
               python3,
               python3-skimage,
               python3-protobuf,
               python3-dateutil,
               python3-gflags,
               python3-h5py,
               python3-leveldb,
               python3-matplotlib,
               python3-networkx,
               python3-nose,
#              python3-opencv, # this is recommended if available but it doesn't block
               python3-pandas,
               python3-pil,
               python3-scipy,
               python3-six,
               python3-yaml,
Standards-Version: 3.9.8
Homepage: http://caffe.berkeleyvision.org
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/caffe.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/caffe.git
X-Python-Version: >= 3.3

Package: caffe-cpu
Section: metapackages
Architecture: any
Depends: caffe-tools-cpu   (= ${binary:Version}),
         python3-caffe-cpu (= ${binary:Version}),
         libcaffe-cpu1     (= ${binary:Version}),
# the default libblas.so.3 comes from pkg:libblas3, with low performance.
         libopenblas-base | libatlas3-base | libblas.so.3 ,
         ${misc:Depends},
Suggests: libcaffe-cpu-dev (= ${binary:Version}),
          caffe-doc        (= ${binary:Version}),
Conflicts: caffe-cuda
Description: Fast, open framework for Deep Learning (Meta)
 Caffe is a deep learning framework made with expression, speed,
 and modularity in mind. It is developed by the Berkeley Vision
 and Learning Center (BVLC) and community contributors.
 .
 This metapackage pulls CPU_ONLY version of caffe:
  * caffe-tools-cpu
  * libcaffe-cpu*
  * python3-caffe-cpu 
 And suggests these packages:
  * libcaffe-cpu-dev
  * caffe-doc
 .
 Note, this CPU_ONLY version cannot co-exist with the CUDA version.

Package: caffe-tools-cpu
Architecture: any
Multi-Arch: foreign
Depends: libcaffe-cpu1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: caffe-tools-cuda
Description: Tools for fast, open framework for Deep Learning (CPU_ONLY)
 Caffe is a deep learning framework made with expression, speed,
 and modularity in mind. It is developed by the Berkeley Vision
 and Learning Center (BVLC) and community contributors.
 .
 It contains caffe executables, configured as CPU_ONLY.

Package: libcaffe-cpu1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libcaffe-cuda1
Description: library of Caffe, deep learning framework (CPU_ONLY)
 Caffe is a deep learning framework made with expression, speed,
 and modularity in mind. It is developed by the Berkeley Vision
 and Learning Center (BVLC) and community contributors.
 .
 It contains caffe shared library, configured as CPU_ONLY.

Package: libcaffe-cpu-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Conflicts: libcaffe-cuda-dev
Depends: libcaffe-cpu1 (= ${binary:Version}), ${misc:Depends}
Suggests: caffe-doc
Description: development files for Caffe (CPU_ONLY)
 Caffe is a deep learning framework made with expression, speed,
 and modularity in mind. It is developed by the Berkeley Vision
 and Learning Center (BVLC) and community contributors.
 .
 It contains development files of caffe.

Package: python3-caffe-cpu
Section: python
Architecture: any
Multi-Arch: foreign
Depends: libcaffe-cpu1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends},
Conflicts: python3-caffe-cuda
Description: Python3 interface of Caffe (CPU_ONLY)
 Caffe is a deep learning framework made with expression, speed,
 and modularity in mind. It is developed by the Berkeley Vision
 and Learning Center (BVLC) and community contributors.
 .
 It contains python3 interface of caffe, configured as CPU_ONLY.

Package: caffe-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Caffe's doxygen docs and examples
 Caffe is a deep learning framework made with expression, speed,
 and modularity in mind. It is developed by the Berkeley Vision
 and Learning Center (BVLC) and community contributors.
 .
 This package contains doxygen documents (both HTML version and
 PDF version) and some other documents and examples.
