## caffe 1.0.0~rc4

=== debian/changelog ===
caffe (1.0.0~rc4-1ubuntu1) zesty; urgency=medium

  * Turn off arch autotests as yet as they segfault.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 09 Feb 2017 08:42:23 +0530

caffe (1.0.0~rc4-1) unstable; urgency=medium

  * New upstream release.
  * Update URL for get-orig-source target in rules.
  * Bump debhelper compat to 10.
  * Patch: add cmake-bump-soversion-to-rc4.patch to fix upstream soversion.
  * Rules: CAFFE_SOVER is `1.0.0-rc4` now.
  * Get rid of symbols control files to avoid endless FTBFS bugs caused
    by symbols change of C++ shared library.
  * Add the missing pytest target in override_dh_auto_test-arch.
  * Update LD_LIBRARY_PATH for dh_auto_test.
  * Rules: patch refman.tex before compiling to avoid pdflatex error.
  * Rules: remove all __pycache__ directories on clean.
  * Refresh lintian overrides.

 -- Zhou Mo <cdluminate@gmail.com>  Sat, 21 Jan 2017 11:26:37 +0000

caffe (1.0.0~rc3+20161127-g24d2f67-5) unstable; urgency=medium

  * Add patch: cmake-link-correct-python-lib.patch to fix FTBFS.
    (Closes: #850989).

 -- Zhou Mo <cdluminate@gmail.com>  Thu, 12 Jan 2017 04:38:30 +0000
