=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: caffe
 Section: science
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Zhou Mo <cdluminate@gmail.com>
 Build-Depends-Indep: doxygen,
                      doxygen-latex
 Build-Depends: bc,
                cmake,
                bash-completion,
-               debhelper (>=9),
+               debhelper (>=10),
                dh-python,
                git,
 # libboost-all-dev (>= 1.55) - we merely pull partial boost stack, the really needed part.
